/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "assembler.h"
#include "command.h"
#include "error.h"
#include "memory.h"
#include "misc.h"
#include "mode.h"
#include "tokenizer.h"
#include "type.h"
#include "validator.h"

#ifdef UIRC_FEATURE_IRCV3
#include "tag.h"
#endif /* UIRC_FEATURE_IRCV3 */

#ifdef UIRC_FEATURE_CTCP
#include "ctcp.h"
#endif /* UIRC_FEATURE_CTCP */
