/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

/*! \file */

#ifndef UIRC_GUARD_PUBLIC_TAGS
#define UIRC_GUARD_PUBLIC_TAGS

enum uirc_table_tag {
	IRC_TAG_ACCOUNT,
	IRC_TAG_BATCH,
	IRC_TAG_BOT,
	IRC_TAG_LABEL,
	IRC_TAG_MSGID,
	IRC_TAG_MULTILINE,
	IRC_TAG_TIME,
	IRC_TAG_REACT,
	IRC_TAG_REPLY,
	IRC_TAG_TYPING,
};
const char* IRC_TAG(enum uirc_table_tag tag);

#endif /* UIRC_GUARD_PUBLIC_TAGS */

